TAP version 13 not ok 1 - request-promise v4.2.2 The canary is dead: ---
# > publish-please@2.1.4 postinstall /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/publish-please
# > node lib/init.js
# > request-promise@4.2.2 prepublish /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise
# > publish-please guard
# added 730 packages from 807 contributors and audited 2682 packages in 48.947s
# found 40 vulnerabilities (20 low, 9 moderate, 10 high, 1 critical)
# run `npm audit fix` to fix them, or `npm audit` for details
# > request-promise@4.2.2 test /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise
# > gulp ci
# [14:42:02] Using gulpfile /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/gulpfile.js
# [14:42:02] Starting 'ci'...
# [14:42:02] Starting 'validate'...
# [14:42:02] Starting 'lint'...
# [14:42:02] Finished 'lint' after 297 ms
# [14:42:02] Starting 'clean-coverage'...
# [14:42:02] Finished 'clean-coverage' after 1.62 ms
# [14:42:02] Starting 'clean'...
# [14:42:02] Finished 'clean' after 9.84 s
# [14:42:02] Starting 'test'...
# Request-Promise
# should inform about the dropped CLS support
# should not resolve the promise if .abort() is used (105ms)
# 1) should allow the use of tough-cookie - issue
#183
# should expose
# .then(...)
# .catch(...) and the error types
# .finally(...)
# .promise() returning a Bluebird promise
# .cancel() cancelling the Bluebird promise and aborting the request
# .cancel() on promises chained from the Bluebird promise, aborting the request
# should still allow to require Request independently
# by not interfering with Request required afterwards (242ms)
# by not interfering with Request required beforehand (234ms)
# by not interfering with Request required beforehand and afterwards being identical (229ms)
# 11 passing (907ms)
# 1 failing
# 1) Request-Promise should allow the use of tough-cookie - issue
#183:
# AssertionError: expected [Function] to not throw an error but 'TypeError: str.trim is not a function' was thrown
# at Context. (test/spec/request-test.js:212:24)
# [14:42:03] 'test' errored after 1.05 s
# [14:42:03] Error: TESTS FAILED
# at Stream. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:121:20)
# at Stream.emit (events.js:211:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:111:20)
# at Runner.emit (events.js:208:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:810:20)
# at tryOnImmediate (timers.js:768:5)
# at processImmediate [as _immediateCallback] (timers.js:745:5)
# [14:42:03] 'ci' errored after 1.35 s
# [14:42:03] Error in plugin 'run-sequence(test)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:121:20)
# at Stream.emit (events.js:211:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:111:20)
# at Runner.emit (events.js:208:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:810:20)
# at tryOnImmediate (timers.js:768:5)
# at processImmediate [as _immediateCallback] (timers.js:745:5)
# [14:42:03] 'validate' errored after 1.35 s
# [14:42:03] Error in plugin 'run-sequence(ci)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:121:20)
# at Stream.emit (events.js:211:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:111:20)
# at Runner.emit (events.js:208:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:810:20)
# at tryOnImmediate (timers.js:768:5)
# at processImmediate [as _immediateCallback] (timers.js:745:5)
# [14:42:03] 'validate' errored after 1.35 s
# [14:42:03] Error in plugin 'run-sequence(test)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:121:20)
# at Stream.emit (events.js:211:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:111:20)
# at Runner.emit (events.js:208:7)
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/a8f46611-fae9-40c8-8cc1-450d11083b64/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:810:20)
# at tryOnImmediate (timers.js:768:5)
# at processImmediate [as _immediateCallback] (timers.js:745:5)
# npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
# npm WARN deprecated nsp@2.8.1: The Node Security Platform service is shutting down 9/30 - https://blog.npmjs.org/post/175511531085/the-node-security-platform-service-is-shutting
# npm WARN deprecated graceful-fs@3.0.11: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
# npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
# npm WARN deprecated to-iso-string@0.0.2: to-iso-string has been deprecated, use @segment/to-iso-string instead.
# npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
# npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
# npm WARN deprecated hoek@2.16.3: The major version is no longer supported. Please update to 4.x or newer
# npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
# npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
# npm WARN prepublish-on-install As of npm@5, `prepublish` scripts are deprecated.
# npm WARN prepublish-on-install Use `prepare` for build steps and `prepublishOnly` for upload-only.
# npm WARN prepublish-on-install See the deprecation note in `npm help scripts` for more information.
# npm notice created a lockfile as package-lock.json. You should commit this file.
# Error in plugin 'gulp-mocha'
# Message:
# 1 test failed.
# TESTS FAILED
# npm ERR! Test failed. See above for more details. duration_ms: 56355 ... 1..1